

<h1 class="title"><?= __('escorts_in_city',array('CITY'=>$this->city))?></h1>

<div class="toClear"></div>

<!--<div rel="search" class="data-search">-->
<!--    <input type="text" data-mini="true" name="m-search" id="m-search" class="m-search" placeholder="--><?//=__('search');?><!--" />-->
<!---->
<!--    <div class="sugg-area inBottom">-->
<!--        <span class="close-search">X</span>-->
<!--        <ul id="m-suggestions" data-role="listview" data-inset="true"></ul>-->
<!--    </div>-->
<!---->
<!--    <input type="hidden" id="ts_type" name="ts_type" value="--><?// if ($this->ts_type): ?><!----><?//= $this->ts_type ?><!----><?// endif; ?><!--" />-->
<!--    <input type="hidden" id="ts_slug" name="ts_slug" value="--><?// if ($this->ts_slug): ?><!----><?//= $this->ts_slug ?><!----><?// endif; ?><!--" />-->
<!---->
<!--    <div class="right-icon"></div>-->
<!--</div>-->

<div class="toClear"></div>



<!--start-->
<div class="load-page-content">
    <div class="page-load-block">
        <?


        foreach($this->escorts as $escort):
            $escort = new Model_EscortV2Item($escort);

            $DEFINITIONS = Zend_Registry::get('defines');
            ?>

            <div class="escort">
                <p class="showname"><?= $escort->showname ?></p>
                <a rel="external" href="<?=$this->getLink('profile', array('showname' => $escort->showname, 'escort_id' => $escort->id ), true);?>">
                    <!--data-original-->
                    <img src="<?= $escort->getMainPhoto()->getUrl('thumb') ?>" width="147" height="200" alt="" class="lazyloado" />
                </a>
                <div class="city">
                    <?//= $escort->city ?>
                </div>
                <div>
                    <? $rate = ''; $rates = $escort->getRates(); ?>
                    <? if ( array_key_exists(AVAILABLE_INCALL, $rates) ): ?>
                        <? $rate = $rates[AVAILABLE_INCALL] ?>
                    <? elseif ( array_key_exists(AVAILABLE_OUTCALL, $rates) ): ?>
                        <? $rate = $rates[AVAILABLE_OUTCALL] ?>
                    <? endif; ?>

                    <?
                    $incall_rates = '';
                    $outcall_rates = '';
                    $one_h_incall_rate = array();
                    $one_h_outcall_rate = array();
                    ?>

                    <? $DEFINITIONS = Zend_Registry::get('defines'); ?>
                    <? if ( count($rates) > 0 ): ?>
                        <? if ( isset($rates[AVAILABLE_INCALL]) ): ?>
                            <? $incall_rates .= $this->t('incall_rates') . '::'; ?>
                            <? foreach( $rates[AVAILABLE_INCALL] as $rate ): ?>

                                <? if( $rate->time_unit == TIME_HOURS && $rate->time == 1 ): ?>
                                    <? $one_h_incall_rate = $rate; ?>
                                <? endif; ?>

                                <? $incall_rates .= "&lt;div&gt;{$rate->time} {$rate->time_unit_title} - {$rate->price} {$rate->currency_title}&lt;/div&gt;"; ?>
                            <? endforeach; ?>
                        <? endif; ?>

                        <? if ( isset($rates[AVAILABLE_OUTCALL]) ): ?>
                            <? $outcall_rates .= $this->t('outcall_rates') .'::'; ?>
                            <? foreach( $rates[AVAILABLE_OUTCALL] as $rate ): ?>

                                <? if( $rate->time_unit == TIME_HOURS && $rate->time == 1 ): ?>
                                    <? $one_h_outcall_rate = $rate; ?>
                                <? endif; ?>

                                <? $outcall_rates .= "&lt;div&gt;{$rate->time} {$rate->time_unit_title} - {$rate->price} {$rate->currency_title}&lt;/div&gt;"; ?>
                            <? endforeach; ?>
                        <? endif; ?>
                    <? endif; ?>

                    <? $rate_str = ''; ?>
                    <? if ( isset($one_h_outcall_rate->time) ): ?>

                        <? $rate_str = $one_h_outcall_rate->time . 'h ' . $DEFINITIONS['currency_symbols'][$one_h_outcall_rate->currency_id] . ' ' . $one_h_outcall_rate->price; ?>
                    <? endif; ?>
                    <? if( isset($one_h_incall_rate->time) ): ?>

                        <? $rate_str = $one_h_incall_rate->time . 'h ' . $DEFINITIONS['currency_symbols'][$one_h_incall_rate->currency_id] . ' ' . $one_h_incall_rate->price; ?>
                    <? endif; ?>
                    <? if ( strlen($rate_str) ): ?>
                        <?
                        if(isset($one_h_incall_rate->time)):
                            ?>
                            <span class="incall"></span>
                        <? elseif( $one_h_outcall_rate->time ): ?>
                            <span class="outcall"></span>
                        <? endif;?>

                        <span class="price"><?= $rate_str; ?></span>
                    <? endif; ?>
                    <div class="clear"></div>
                </div>
            </div>
        <? endforeach; ?>

    </div>

    <div class="clear"></div>

</div>

<?
    $config = Zend_Registry::get('mobile_config');
    $config = $config['escorts'];

    $pages_count = ceil($this->count / $config['perPage']);

    $uri = $_SERVER['REQUEST_URI'];
    $uri = preg_replace('#/[0-9]+$#', '', $uri);
    $uri = preg_replace('#^en/#', '', $uri);
?>

<input type="hidden" id="current_page" value="<?= ( $_COOKIE['page'] )?$_COOKIE['page']:1 ?>" />

<script type="text/javascript">
    $(document).on('pageinit', function() {
        MCubix.Escorts.init( '<?=$this->getLink('pager',array('page' => '/' . ( $this->page + 1 ),'request_url' => $uri ), true)?>', '<?=ceil( $this->count / 14 ); ?>' );
    });
</script>

<div class="clear"></div>
